summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVishal Bhoj <vishal.bhoj@linaro.org>2015-02-13 02:57:06 +0000
committerLinaro Android Code Review <android-review@review.linaro.org>2015-02-13 02:57:06 +0000
commit75c569215f77534bf20083c1b02667af875b8ea7 (patch)
tree294ca918e805351aafdcd4a01b20c05c1531fdb8
parent55caeb3d58ee47231deb933239ac0ea86ad82031 (diff)
parentd8b115ae5d9c81c0c1474a920ad5b18e5c001245 (diff)
downloadandroid-patchsets-75c569215f77534bf20083c1b02667af875b8ea7.tar.gz
Merge "Add TI specific patches so that the build boots"
-rwxr-xr-xti-platform-patchsets25
1 files changed, 25 insertions, 0 deletions
diff --git a/ti-platform-patchsets b/ti-platform-patchsets
new file mode 100755
index 0000000..c31ac6d
--- /dev/null
+++ b/ti-platform-patchsets
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+##################################################
+################ TI specific patches ################
+##################################################
+# Include bionic patches http://review.android.git.linaro.org/#/c/15430/ and http://review.android.git.linaro.org/#/c/15431/ http://review.android.git.linaro.org/#/c/15432/
+apply --linaro bionic 15430/1
+apply --linaro bionic 15431/1
+apply --linaro external/tinyalsa 15432/1
+